# Update of article section

Updates the article section.

Endpoint: PATCH /api/articles/sections/{articleSectionId}
Version: 1.0.0
Security: shoptetAccessToken, shoptetPrivateApiToken

## Path parameters:

  - `articleSectionId` (integer, required)
    article section ID
    Example: 123

## Header parameters:

  - `Content-Type` (string, required)

## Request fields (application/json):

  - `data` (object, required)

  - `data.title` (string)
    article section title

  - `data.language` (string)
    Article section language. Available and settable only if module Foreign languages is active and initialized.

  - `data.indexName` (string,null)
    ending part of article section URL

  - `data.description` (string,null)
    article section content

  - `data.secondDescription` (string,null)
    article section second content

  - `data.limit` (integer,null)
    Number of articles displayed in the listing

  - `data.homepageLimit` (integer,null)
    Number of articles displayed on the homepage

  - `data.sorting` (any)
    Article sorting in the listing
    Enum: "alphabetically", "newest-first", "oldest-first"

  - `data.perexLimit` (integer,null)
    Number of character displayed in the article perex

  - `data.hidePublishDate` (boolean)
    Hide article publish date in the listing

  - `data.showPrevNext` (boolean)
    Show next/previous buttons in the listing

  - `data.showOnHomepage` (boolean)
    Show articles on the homepage

  - `data.linkText` (string,null)
    Link text (in the menu)

  - `data.metaTitle` (string,null)
    article meta title

  - `data.metaDescription` (string,null)
    article meta description

  - `data.visible` (boolean)
    flag whether the article section is visible on web

  - `data.access` (any)
    flag indicating, whether the article section can be viewed by everyone (value of the flag is: all), by logged in users only ('logged-in'), or by logged out users only ('logged-out')
    Enum: "all", "logged-in", "logged-out"

  - `data.sourceImageName` (string,null)
    Name of file in [Files upload](#section/basic-principles/files-upload) storage to be set as article section image. When set to null, image will be removed.

  - `data.sourceOgImageName` (string,null)
    Name of file in [Files upload](#section/basic-principles/files-upload) storage to be set as article section open-graph image. When set to null, image will be removed.

## Response 200 fields (application/json):

  - `data` (object, required)

  - `data.articleSection` (object, required)

  - `data.articleSection.id` (integer, required)
    article section ID

  - `data.articleSection.parentId` (integer,null)
    article section parent ID

  - `data.articleSection.title` (string, required)
    article section title

  - `data.articleSection.language` (string)
    Article section language. Available only if module foreignLanguages is active and initialized.

  - `data.articleSection.indexName` (string,null)
    ending part of article section URL

  - `data.articleSection.url` (string)
    article section URL

  - `data.articleSection.description` (string,null)
    article section content

  - `data.articleSection.secondDescription` (string,null)
    article section content secondary

  - `data.articleSection.limit` (integer,null)
    Number of articles displayed in the listing

  - `data.articleSection.homepageLimit` (integer,null)
    Number of articles displayed on the homepage

  - `data.articleSection.sorting` (any)
    Article sorting in the listing
    Enum: "alphabetically", "newest-first", "oldest-first"

  - `data.articleSection.perexLimit` (integer,null)
    Number of character displayed in the article perex

  - `data.articleSection.hidePublishDate` (boolean)
    Hide article publish date in the listing

  - `data.articleSection.showPrevNext` (boolean)
    Show next/previous buttons in the listing

  - `data.articleSection.showOnHomepage` (boolean)
    Show articles on the homepage

  - `data.articleSection.linkText` (string,null)
    Link text (in the menu)

  - `data.articleSection.metaTitle` (string,null)
    article meta title

  - `data.articleSection.metaDescription` (string,null)
    article meta description

  - `data.articleSection.canonicalLinkUrl` (string,null)
    Canonical link URL

  - `data.articleSection.visible` (boolean)
    flag whether the article section is visible on web

  - `data.articleSection.access` (any)
    flag indicating, whether the article section can be viewed by everyone (value of the flag is: all), by logged in users only ('logged-in'), or by logged out users only ('logged-out'), or by administrators only ('admin-only')
    Enum: "all", "logged-in", "logged-out", "admin-only"

  - `data.articleSection.image` (string,null)
    article section image

  - `data.articleSection.ogImage` (string,null)
    article section open graph image

  - `errors` (array,null, required)

  - `errors.errorCode` (string, required)
    Short text error identification

  - `errors.message` (string, required)
    Descriptive error message

  - `errors.instance` (string, required)
    Identification of the entity referenced

  - `metadata` (object, required)

  - `metadata.requestId` (string, required)
    Request identifier. Useful for logging/reporting purposes.

## Response 404 fields (application/json):

  - `data` (object,null)

  - `errors` (array,null)

  - `errors.errorCode` (string, required)
    Short text error identification

  - `errors.message` (string, required)
    Descriptive error message

  - `errors.instance` (string, required)
    Identification of the entity referenced

  - `metadata` (object)

  - `metadata.requestId` (string, required)
    Request identifier. Useful for logging/reporting purposes.


